Bug 212358 - CVE-2006-5540 New version fixes three different crash vulnerabilities
Summary: CVE-2006-5540 New version fixes three different crash vulnerabilities
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: postgresql (Show other bugs)
(Show other bugs)
Version: 4.4
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Tom Lane
QA Contact: David Lawrence
URL: http://www.postgresql.org/about/news.664
Whiteboard: source=postgresql,reported=20061025,i...
Keywords: Security
Depends On:
Blocks: CVE-2006-5542
TreeView+ depends on / blocked
 
Reported: 2006-10-26 15:01 UTC by Lubomir Kundrak
Modified: 2013-07-03 03:11 UTC (History)
2 users (show)

Fixed In Version: RHSA-2007-0064
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 18:24:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0064 normal SHIPPED_LIVE Moderate: postgresql security update 2007-02-07 18:24:28 UTC

Description Lubomir Kundrak 2006-10-26 15:01:11 UTC
Description of problem:

The three crash conditions are not considered critical vulnerabilities, because
all three require authenticated access to the database with the ability to run
ad-hoc queries, and none can be exploited for privilege escalation.

1.) Disallow aggregate functions in UPDATE commands, except within sub-SELECTs (Tom)
(The behavior of such an aggregate was unpredictable, and in 8.1.X could cause a
crash, so it has been disabled. The SQL standard does not allow this either.)

2.) Fix core dump when an untyped literal is taken as ANYARRAY

3.) Fix core dump in duration logging for extended query protocol when a COMMIT
or ROLLBACK is executed

Version-Release number of selected component (if applicable):

1.) >=7.4.1, Affects RHEL 4.1, FC5, FC6
2.) >=8.1, Affects FC5, FC6
3.) >=8.1, Affects FC5, FC6

Additional info:

Here are commit messages with diffs:
1.) http://archives.postgresql.org/pgsql-committers/2006-10/msg00205.php
2.) http://archives.postgresql.org/pgsql-committers/2006-08/msg00277.php
3.) http://archives.postgresql.org/pgsql-committers/2006-06/msg00299.php

Comment 3 Red Hat Bugzilla 2007-02-07 18:24:38 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0064.html



Note You need to log in before you can comment on or make changes to this bug.